<!-- cat-index.xsl -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"
                xmlns:html="http://www.w3.org/TR/REC-html40"
                result-ns="html">

<xsl:template match="cat-index">
	<html:html>
		<html:head>
			<html:title><xsl:value-of select="@name"/></html:title>
		</html:head>
		<html:body>
			<html:h2 align="center"><xsl:value-of select="@name"/></html:h2>
			<xsl:apply-templates/>
		</html:body>
	</html:html>
</xsl:template>


<xsl:template match="toc">
	<html:h3><xsl:text>Table of Contents</xsl:text></html:h3>
	<html:ul><xsl:apply-templates/></html:ul>
</xsl:template>

<xsl:template match="toc-department">
	<html:li>
		<xsl:value-of select="@name"/>
		<xsl:if test="toc-category">
			<html:ul><xsl:apply-templates select="toc-category"/></html:ul>
		</xsl:if>
	</html:li>
</xsl:template>

<xsl:template match="toc-category">
	<html:li>
		<xsl:value-of select="@name"/>
	</html:li>
</xsl:template>


<xsl:template match="department">
	<html:h2 align="center"><xsl:value-of select="@name"/></html:h2>
	<xsl:apply-templates select="category"/>
</xsl:template>

<xsl:template match="category">
	<html:h3><xsl:value-of select="@name"/></html:h3>
	<html:dl><xsl:apply-templates select="subcategory | item"/></html:dl>
</xsl:template>

<xsl:template match="subcategory">
	<html:dt><html:b><xsl:value-of select="@name"/></html:b></html:dt>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="item">
	<html:dd><xsl:value-of select="@name"/></html:dd>
</xsl:template>

</xsl:stylesheet>